summaryrefslogtreecommitdiff
path: root/localwebstats-all
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2001-12-12 19:52:40 +0000
committerJonas Smedegaard <dr@jones.dk>2001-12-12 19:52:40 +0000
commitc81b7f986867db292d62a1757123723b5ef66518 (patch)
treea217cf2f481ab7b3099ef76b519a4cc8e1786096 /localwebstats-all
Initial revision
Diffstat (limited to 'localwebstats-all')
-rwxr-xr-xlocalwebstats-all24
1 files changed, 24 insertions, 0 deletions
diff --git a/localwebstats-all b/localwebstats-all
new file mode 100755
index 0000000..c402d28
--- /dev/null
+++ b/localwebstats-all
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+WEBROOT=/var/www
+LOGROOT=/var/log/apache
+
+function webdirs()
+{
+ echo `find /var/log/apache -type d -print`
+# for dir in $(find ${LOGROOT} -type d -print)
+# do
+# echo $dir
+# done
+}
+
+. /etc/local/www || exit 1
+
+#for WEBSITE in $(ls $WWWROOT)
+#for WEBSITE in $(find $WWWROOT/* -type d -mindepth 1 -maxdepth 1 -print)
+for WEBSITE in $(webdirs); do
+ if test $WEBSITE != "lost+found"
+ then
+ /usr/local/sbin/stats-init $WEBSITE
+ fi
+done